Subject: Re: [mif] Multiple interfaces problems in MEXT and mif

From: "Hong Yong-Geun" <[email-masked]>
Date: Thu, 29 Jan 2009 11:37:19 +0900

Hi, Marcelo.

Thanks for your comments.

I agree that  the current MEXT WG charter already has several items about supporting multiple interfaces.

My documents are old version which were submitted to monami6 WG at 64th IETF meeting and they were
not updated properly. So, it seems that some contents are similar to the works in MEXT WG.

I will update my documents to focus on mif's scope.

It is appreciate to understand that (even though the scope of mif is not fixed) mif has different directions to
MEXT.

Best regards.

Yong-Geun.

-----원본 메시지-----
From: "marcelo bagnulo braun" <[email-masked]>
From Date: 2009-01-28 오후 6:40:09
To: "Hong Yong-Geun" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: Re: Multiple interfaces problems in MEXT and mif

Hi,

In the current MEXT charter there are several items about supporting
multiple interfaces, including the following two:

- A document explaining the motivations for a node using multiple
interfaces and the scenarios where it may end up with multiple
global addresses on its interfaces [Informational]

- An analysis document explaining what are the limitations for
mobile hosts using multiple simultaneous Care-of Addresses and Home
Agent addresses using Mobile IPv6, whether issues are specific to
Mobile IPv6 or not [Informational].

I think this is very similar to the scope of one of you documents at
least, so i would find very strange that the same work is chartered in
two different working groups.

Moreover, we do have wg documents for these two, but we find very hard
to find reviewers for those, which makes me think that there is not much
interest on these. So, if you find a more motivated crew to do the work,
that would be great, we can either do it in mext or soemwhere else, if
people feels that needs to be done, but that is certainly not the
feeling i am getting from the input in mext

Regards, marcelo

Hong Yong-Geun escribi?:
>
> Hi, all in MEXT and mif.
>
>
>
> In IETF mif (Multiple Interface) mailing list
> (_https://www.ietf.org/mailman/listinfo/mif_
> <https://www.ietf.org/mailman/listinfo/mif>),
>
> we now discuss the host which would like to use multiple interfaces.
>
> I understand that MEXT WG is also related to the use of multiple
> interfaces of a host
> using Mobile IPv6 or a mobile router using NEMO Basic Support and
> their variants
>
> MEXT WG is focuing on monami6 related topic (multiple CoA, Multiple
> HoA, and Multple HA, etc.,)
> and extedning Mobile IPv6 and NEMO for these, but mif is not related
> to this direction.
> In mif, source address selection, routing and DNS control protocol are
> consideration items
> due to multiple interfaces of a host.
>
>
>
> For mif’s scope, Jari Arkko made some comments and classification of
> problems.
>
> _http://www.ietf.org/mail-archive/web/mif/current/msg00050.html_
>
> Among these classification which includes access selection, split DNS,
> configuration reconciliation,
> routing, address selection, tunnel multihoming, and the communication
> way between the host and
> the network about their policies regarding all of the above, Jari said
> that access selection is already
> coverd in RFC 5113 and tunnel multihoming is already covered in MEXT
> WG work items.
>
>
>
> At monami6 WG in 64th IETF meetinng, I submitted and presented two
> Internet Drafts.
>
> - Analysis of multiple interfaces in a Mobile Node
>
> _http://tools.ietf.org/id/draft-hong-multipleif-mn-pb-statement-00.txt_
>
> - Virtual network interface for multiple interfaces in a Mobile node
> using Mobile IPv6
>
> _http://tools.ietf.org/id/draft-hong-virtualif-mn-mipv6-00.txt_
> <http://tools.ietf.org/id/draft-hong-virtualif-mn-mipv6-00.txt>
>
> Because these two drafts were not in the monami6 WG’s scope and
> virtual network interface draft was
>
> implementation specific, there were not adoped in monami6 WG’s work
> items. The intentions of two drafts
> are supporting multiple interfaces of a host without extending Mobile
> IPv6/NEMO.
>
>
>
> I think that multiple interfaces problems of a host are related to
> both Mobile IP/NEMO specific issues and
> general network issues. Mobile IP/NEMO specific issues are related to
> extending of Mobile IP/NEMO and
> these are already studied in MEXT WG and general network issues which
> were not related to
> Mobile IP/NEMO could be studied in mif. As same manner, I think that
> my drafts could be discussed and
> developed in mif. In the first draft (Analysis document), I classified
> multiple interface problems into
> Mobile IPv6-sepcific issues, General network issues, and heterogeneous
> environment issues.
>
>
>
> Including Hui Deng in mif, with regarding to these drafts, they want
> to hear comments from MEXT WG’s point of view,
> because it seems that these drafts are quite related to monami6/MEXT
> WG. So, I ask MEXT to review whether there are
>
> some overlap between MEXT works and my drafts or not.
>
> It is appreciate to give comments.
>
>
>
> Best regards.
>
> Yong-Geun.
>

_______________________________________________
mif mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mif

---

From: Alexandru Petrescu <[email-masked]>
Date: Thu, 29 Jan 2009 11:17:00 +0100

Hong Yong-Geun a écrit :
[...]
> It is appreciate to understand that (even though the scope of mif is 
> not fixed) mif has different directions to MEXT.

Do the 'DNS control protocol' directions mentioned in MIF differ somehow
from the existing MEXT monami6-inherited directions?  Does MEXT address
'DNS control protocol' when multiple-interfaces-in-a-host are involved?

Alex

> 
> Best regards.
> 
> Yong-Geun.
> 
> -----원본 메시지----- *From:* "marcelo bagnulo braun" <[email-masked]>
>  *From Date:* 2009-01-28 오후 6:40:09 *To:* "Hong Yong-Geun" 
> <[email-masked]> *Cc:* "[email-masked]" <[email-masked]>, 
> "[email-masked]" <[email-masked]>, "[email-masked]" 
> <[email-masked]>, "[email-masked]" 
> <[email-masked]> *Subject:* Re: Multiple interfaces problems in 
> MEXT and mif
> 
> 
> Hi,
> 
> interfaces and the scenarios where it may end up with multiple global
>  addresses on its interfaces [Informational]
> 
> - An analysis document explaining what are the limitations for mobile
>  hosts using multiple simultaneous Care-of Addresses and Home Agent 
> addresses using Mobile IPv6, whether issues are specific to Mobile 
> IPv6 or not [Informational].
> 
>  least, so i would find very strange that the same work is chartered 
> in two different working groups.
> 
> Moreover, we do have wg documents for these two, but we find very 
> hard to find reviewers for those, which makes me think that there is 
> not much interest on these. So, if you find a more motivated crew to 
> do the work, that would be great, we can either do it in mext or 
> soemwhere else, if people feels that needs to be done, but that is 
> certainly not the feeling i am getting from the input in mext
> 
> Regards, marcelo
> 
> 
> 
> Hong Yong-Geun escribi?:
>> 
>> Hi, all in MEXT and mif.
>> 
>> 
>> 
>> interfaces of a host using Mobile IPv6 or a mobile router using 
>> NEMO Basic Support and their variants
>> 
>>  HoA, and Multple HA, etc.,) and extedning Mobile IPv6 and NEMO for
>>  these, but mif is not related to this direction. In mif, source 
>> address selection, routing and DNS control protocol are 
>> consideration items due to multiple interfaces of a host.
>> 
>> 
>> 
>> For mif’s scope, Jari Arkko made some comments and classification 
>> of problems.
>> 
>> Among these classification which includes access selection, split 
>> DNS, configuration reconciliation, routing, address selection, 
>> tunnel multihoming, and the communication way between the host and
>>  the network about their policies regarding all of the above, Jari 
>> said that access selection is already coverd in RFC 5113 and tunnel
>>  multihoming is already covered in MEXT WG work items.
>> 
>> 
>> 
>> - Virtual network interface for multiple interfaces in a Mobile 
>> node using Mobile IPv6
>> 
>>  items. The intentions of two drafts are supporting multiple 
>> interfaces of a host without extending Mobile IPv6/NEMO.
>> 
>> 
>> 
>>  both Mobile IP/NEMO specific issues and general network issues. 
>> Mobile IP/NEMO specific issues are related to extending of Mobile 
>> IP/NEMO and these are already studied in MEXT WG and general 
>> network issues which were not related to Mobile IP/NEMO could be 
>> studied in mif. As same manner, I think that my drafts could be 
>> discussed and developed in mif. In the first draft (Analysis 
>> document), I classified multiple interface problems into Mobile 
>> IPv6-sepcific issues, General network issues, and heterogeneous 
>> environment issues.
>> 
>> 
>> 
>> Including Hui Deng in mif, with regarding to these drafts, they 
>> want to hear comments from MEXT WG’s point of view, because it 
>> seems that these drafts are quite related to monami6/MEXT WG. So, I
>>  ask MEXT to review whether there are
>> 
> ------------------------------------------------------------------------
> 
> 
> 
> _______________________________________________ mif mailing list 
> [email-masked] https://www.ietf.org/mailman/listinfo/mif